Subject: Re: [RFC 00/19] Replace PCI pool by DMA pool API

From: Peter Senna Tschudin <peter.senna-ZGY8ohtN/[email-masked]>
Date: Wed, 8 Feb 2017 20:00:59 +0100

On Wed, Feb 08, 2017 at 05:34:38PM +0100, Romain Perier wrote:
Hi Romain,

Nice set of patches! Thank you.

I sent a few comments, but basically you missed to run checkpatch.pl on
your patches. Also you can take the chance to fix some white space
issues that are on the lines you are changing like space before , and
trailing white space.

But maybe the part that I missed more is that you can also adrress the
fact that dma_pool_destroy(NULL) is safe and that checking for NULL may
not be needed. So I would fix this NULL test at least on all files that
you are changing, not only around your changes, but on the entire file.

Peter
> The current PCI pool API are simple macro functions direct expanded to
> the appropriated dma pool functions. The prototypes are almost the same
> and semantically, they are very similar. I propose to use the DMA pool
> API directly and get rid of the old API.
> 
> This set of patches, replaces the old API by the dma pool API, adds
> support to warn about this old API in checkpath.pl and remove the
> defines.
> 
> Romain Perier (19):
>   block: DAC960: Replace PCI pool old API
>   dmaengine: pch_dma: Replace PCI pool old API
>   IB/mthca: Replace PCI pool old API
>   net: e100: Replace PCI pool old API
>   mlx4: Replace PCI pool old API
>   mlx5: Replace PCI pool old API
>   wireless: ipw2200: Replace PCI pool old API
>   scsi: be2iscsi: Replace PCI pool old API
>   scsi: csiostor: Replace PCI pool old API
>   scsi: lpfc: Replace PCI pool old API
>   scsi: megaraid: Replace PCI pool old API
>   scsi: mpt3sas: Replace PCI pool old API
>   scsi: mvsas: Replace PCI pool old API
>   scsi: pmcraid: Replace PCI pool old API
>   usb: gadget: amd5536udc: Replace PCI pool old API
>   usb: gadget: net2280: Replace PCI pool old API
>   usb: gadget: pch_udc: Replace PCI pool old API
>   PCI: Remove PCI pool macro functions
>   checkpatch: warn for use of old PCI pool API
> 
>  drivers/block/DAC960.c                        | 36 +++++++--------
>  drivers/block/DAC960.h                        |  4 +-
>  drivers/dma/pch_dma.c                         | 12 ++---
>  drivers/infiniband/hw/mthca/mthca_av.c        | 10 ++---
>  drivers/infiniband/hw/mthca/mthca_cmd.c       |  8 ++--
>  drivers/infiniband/hw/mthca/mthca_dev.h       |  4 +-
>  drivers/net/ethernet/intel/e100.c             | 12 ++---
>  drivers/net/ethernet/mellanox/mlx4/cmd.c      | 10 ++---
>  drivers/net/ethernet/mellanox/mlx4/mlx4.h     |  2 +-
>  drivers/net/ethernet/mellanox/mlx5/core/cmd.c | 10 ++---
>  drivers/net/wireless/intel/ipw2x00/ipw2200.c  | 12 ++---
>  drivers/scsi/be2iscsi/be_iscsi.c              |  6 +--
>  drivers/scsi/be2iscsi/be_main.c               |  6 +--
>  drivers/scsi/be2iscsi/be_main.h               |  2 +-
>  drivers/scsi/csiostor/csio_hw.h               |  2 +-
>  drivers/scsi/csiostor/csio_init.c             |  4 +-
>  drivers/scsi/csiostor/csio_scsi.c             |  6 +--
>  drivers/scsi/lpfc/lpfc.h                      | 10 ++---
>  drivers/scsi/lpfc/lpfc_init.c                 |  6 +--
>  drivers/scsi/lpfc/lpfc_mem.c                  | 62 +++++++++++++-------------
>  drivers/scsi/lpfc/lpfc_scsi.c                 | 12 ++---
>  drivers/scsi/megaraid/megaraid_mbox.c         | 30 ++++++-------
>  drivers/scsi/megaraid/megaraid_mm.c           | 28 ++++++------
>  drivers/scsi/megaraid/megaraid_sas_base.c     | 24 +++++-----
>  drivers/scsi/megaraid/megaraid_sas_fusion.c   | 44 +++++++++---------
>  drivers/scsi/mpt3sas/mpt3sas_base.c           | 64 +++++++++++++--------------
>  drivers/scsi/mvsas/mv_init.c                  |  4 +-
>  drivers/scsi/mvsas/mv_sas.c                   |  6 +--
>  drivers/scsi/pmcraid.c                        | 10 ++---
>  drivers/scsi/pmcraid.h                        |  2 +-
>  drivers/usb/gadget/udc/amd5536udc.c           |  8 ++--
>  drivers/usb/gadget/udc/amd5536udc.h           |  4 +-
>  drivers/usb/gadget/udc/net2280.c              | 12 ++---
>  drivers/usb/gadget/udc/net2280.h              |  2 +-
>  drivers/usb/gadget/udc/pch_udc.c              | 28 ++++++------
>  include/linux/mlx5/driver.h                   |  2 +-
>  include/linux/pci.h                           |  9 ----
>  scripts/checkpatch.pl                         |  5 +++
>  38 files changed, 257 insertions(+), 261 deletions(-)
> 
> -- 
> 2.9.3
> 
--
To unsubscribe from this list: send the line "unsubscribe linux-rdma" in
the body of a message to [email-masked]
More majordomo info at  http://vger.kernel.org/majordomo-info.html